
import '../../../flutter_agnes.dart';
import 'data.dart';

class Response<T extends IModel> {
  bool success;
  Data<T> data;

  Response({
    this.success,
    this.data,
  });

  factory Response.fromJson(Map<String, dynamic> json, ObjectCreator<T> creator) {
    return new Response(
        success: json["success"],
        data: Data.fromJson(json['data'], creator)
    );
  }
}